Issue with migrating to GWT 2.10

122 views
Skip to first unread message

Paul Stockley

unread,
Jan 19, 2023, 2:43:13 PM1/19/23
to GWT Users
We are trying to migrate to GWT 2.10 from 2.08. We get this internal error 

nirvana_–_ci2_build_nirvana_war_xml__nirvana_.jpg

Any idea how to further debug this? Our app works fine using SDM we just get this error when compiling for deployment.

Compiler options are:  -logLevel DEBUG -war ${webapp.dir} com.ocs.nirvana.Encasa -XnoclassMetadata -XnocheckCasts -generateJsInteropExports -style ${compile.style} -strict -optimize 7

Michael Conrad

unread,
Jan 19, 2023, 4:04:51 PM1/19/23
to google-we...@googlegroups.com
a) Have you tried increasing heap space?
b) Are you compiling production in STRICT mode? (Strongly recommended.)
c) Are you running SDM in STRICT compile mode? (Strongly recommended.)
--
You received this message because you are subscribed to the Google Groups "GWT Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to google-web-tool...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/google-web-toolkit/b9d05c7f-d9eb-465f-8b70-e84627b455c0n%40googlegroups.com.

Michael Conrad

unread,
Jan 19, 2023, 4:05:22 PM1/19/23
to google-we...@googlegroups.com
Meh... I just saw the compile options below the empty pic.

Paul Stockley

unread,
Jan 19, 2023, 4:33:28 PM1/19/23
to GWT Users
I tried reducing the optimization level to 0, no difference. This has been a problem in the past. I need to turn on more debug info. I tried logLevel at ALL but it didn't really output anything new.

Jens

unread,
Jan 20, 2023, 4:23:55 AM1/20/23
to GWT Users
ASM is given a class file that has a newer byte code version than ASM supports. GWT 2.10 depends on ASM 9.2 and supports byte code up to Java 18. I am pretty sure you have an older ASM version on class path that came first or some Java 19+ classes.

-- J.

Paul Stockley

unread,
Jan 21, 2023, 12:44:50 PM1/21/23
to GWT Users
Thanks, that was the issue. We had an old 5.x version of ASM in the classpath. Updated to 9.2 and it now compiles.
Reply all
Reply to author
Forward
0 new messages